# [Open-source-ops (by NSS Lab)](https://aimclub.github.io/open-source-ops/)

[![Open-source-ops website](badges/open--source--ops-black.svg)](https://aimclub.github.io/open-source-ops/)
[![Acknowledgement NCCR](badges/NCCR_badge.svg)](https://actcognitive.org/)
[![Acknowledgement ITMO](badges/ITMO_badge_rus.svg)](https://itmo.ru/)
[![Acknowledgement SAI](badges/SAI_badge.svg)](https://sai.itmo.ru/)
[![License](https://img.shields.io/badge/License-BSD%203--Clause-blue.svg)](https://opensource.org/licenses/BSD-3-Clause)
[![Mirror](https://camo.githubusercontent.com/9bd7b8c5b418f1364e72110a83629772729b29e8f3393b6c86bff237a6b784f6/68747470733a2f2f62616467656e2e6e65742f62616467652f6769746c61622f6d6972726f722f6f72616e67653f69636f6e3d6769746c6162)](https://gitlab.actcognitive.org/itmo-nss-team/open-source-ops)

Этот репозиторий создан для хранения различных инструментов, скриптов, инструкций и руководств,
которые могут быть полезны при создании проектов с открытым исходным кодом.
Все материалы доступны под лицензией BSD-3.

## Основные разделы

### [Инструкции](/tutorials)

- [С чего начать разработку open-source библиотеки](/tutorials/quick_guide.md);
- [Зеркалирование GitHub -> GitLab](/tutorials/mirror_repo_to_gitlab.md);
- [Мультиязычные README](/tutorials/create_multilang_readme_files.md);
- [Создание документации](/tutorials/documentation.md);
- [Настройка ботов для репозитория](/tutorials/setup_bots.md).

### [Шаблоны](/templates)

- [Типовый шаблон README для open-source проектов](templates/template_README.md) (Версия в [RST](templates/template_README.rst) формате).

### [Лучшие практики и примеры](/best-practices)

- [Организация управления open-source проектом](/best-practices/project-management.md);
- [Полезные ссылки для авторов open-source библиотек](/best-practices/useful_links.md);
- [Советы по работе в Pull Request-ах](/best-practices/pull-requests.md);
- [Антипаттерны Open Source разработки](/best-practices/os-antipatterns.md);
- [Советы по популяризации репозитория](/best-practices/tips-for-promoting.md).

### [Открытый код и наука](/science)

- [Где опубликовать научную статью про OS-разработку?](/science/journals.md).

### [Открытый код в ИТМО и не только](/examples)

- [Репозитории научных подразделений и лабораторий](/examples/academic-repositories.md);
- [Pet-проекты, связанные с наукой](/examples/pet-projects.md);
- [Научно-популярные посты о open-source в ИТМО](/examples/itmo-posts.md).

### Чаты и каналы

От авторов репозитория:

- [ITMO.Opensource](https://t.me/itmo_opensource) - чат поддержки по созданию open-source проектов;
- [NSS Lab News](https://t.me/NSS_group) - новости нашей лаборатории.
  
Внешние:

- [Open Source Россия](https://t.me/OpenSourceRu) - крупный канал про открытый код.

### Выступления и мастер-классы

- Open-source meetup №1: [видео](https://aim.club/publications/scientific-open-source-meetup),
[презентации](meetups/scios-meetup-1);

- Open-source meetup №2: [видео](https://aim.club/publications/scientific-open-source-meetup-2-otkrytyj-kod-dlja-ii),
[презентации](meetups/scios-meetup-2);

- Open-source meetup №3: [видео](https://ods.ai/events/datafestonline2023/live),
[презентации](meetups/scios-meetup-3);

### Благодарности

Репозиторий и связанные с ним активности финансируются Университетом ИТМО в рамках НИР магистров и аспирантов №622283
"Технологии обеспечения качества научных проектов с открытым исходным кодом" (2022-2023).

### См. также

- [aimclub](https://github.com/aimclub) - библиотеки и фреймворки в области AI/ML;
- [ITMO-NSS-team](https://github.com/ITMO-NSS-team) - открытый код, связанный с научными разработками нашей лаборатории.
