# Советы по популяризации репозитория

В настоящее время создание репозитория — это не только простой способ сохранить свой код, но и отличный способ поделиться им с сообществом разработчиков и получить обратную связь. Однако, чтобы ваш репозиторий был популярен, нужно не только создать его, но и активно продвигать. Рассмотрим несколько советов по популяризации репозитория.

## Когда нужно объявлять о создании вашего проекта?

Если вы ждете, пока ваш проект не будет завершен или оптимизирован до идеала, вы можете упустить возможность создать большой потенциальный интерес к нему. Хорошее время для этого - когда уже есть "осязаемая" версия проекта, отвечающая основным требованиям и выполняющая основную функцию.

На начальном этапе важно заинтересовать аудиторию, но не стоит стремиться к активному использованию вашего проекта.

## Где искать новых пользователей?

Reddit: является самым эффективным способом получить звезды на начальном этапе. Но нужно быть осторожным - если вы опубликуете пост в достаточно крупном сабреддите (например как [/r/programming](https://www.reddit.com/r/programming/)), есть большой шанс потери вашего поста среди прочих. Поэтому очень важно определить целевую аудиторию, которая была бы заинтересована в вашем проекте, и определить более "локальный" сабреддит (например как [/r/Python](https://www.reddit.com/r/Python/) или [/r/MachineLearning](https://www.reddit.com/r/MachineLearning/)). 

Hacker News/Product Hunt: предоставляют отличную возможность представить проект перед заинтересованным сообществом. Однако, достижение высоких результатов требует тщательного планирования и поддержки пользователей на начальной стадии. Кроме того, вход в топы может оказаться сложным.

LinkedIn: для достижения хороших результатов нужен "уже прокаченный" профиль. Нужно создать пост на своей странице LinkedIn и разместить его в группах с определенной тематикой. LinkedIn предоставляет возможность запускать рекламные кампании, которые могут помочь вам достичь своей целевой аудитории.

Habr: является популярной платформой для технических обсуждений и обмена знаниями в России. Если вы хотите поделиться своим проектом или идеей, Habr может быть отличным местом для начала. Однако, как и в других случаях, важно определить свою целевую аудиторию и выбрать подходящий раздел для публикации. Кроме того, важно следовать правилам публикации на Habr и не нарушать правила сообщества, чтобы ваш пост не был удален. Если вы будете следовать этим простым советам, Habr может стать отличной платформой для продвижения ваших проектов и получения обратной связи от сообщества.

Расскажите о своем репозитории в комментариях к постам других людей. Оставляйте ссылку на ваш репозиторий под постами, которые непосредственно связаны с вашей тематикой, сообщая тем самым аудитории о новых возможностях.

## Как правильно писать "привлекательные" посты?

- Придумайте заголовок, который точно передаст суть вашего репозитория. Заголовок должен быть коротким, но содержательным, чтобы привлечь внимание читателей;
- Используйте простой и понятный язык, чтобы ваш контент был доступен широкой аудитории. Избегайте сложных терминов, если это возможно, или объясняйте их с помощью примеров;
- Будьте точны и избегайте общих слов и фраз, которые могут быть невнятными или неинформативными для читателей;
- Убедитесь, что ваш пост содержит интересную информацию, которая привлечет внимание людей;
- Используйте цифры и статистику, чтобы подтвердить свои утверждения и сделать ваш контент более убедительным;
- Используйте хэштеги, чтобы ваш пост был легче найти. Включите в пост несколько хэштегов, связанных с вашей тематикой. Например, #opensource, #github, #webdevelopment и. т. д.;
- Добавьте скриншоты или видео к посту. Прикрепите к посту скриншоты вашего репозитория или создайте короткое видео, демонстрирующее его функциональность;
- Поддерживайте свой контент и обновляйте его регулярно, чтобы он оставался актуальным и привлекательным для вашей аудитории. Это также может помочь вам поддерживать диалог с вашей аудиторией и получать обратную связь от пользователей;
- Активно участвуйте в комментариях к своей статье и отвечайте на вопросы читателей. Будьте вежливы и готовы помочь другим участникам, которые могут заинтересоваться вашим репозиторием. Это поможет вам установить диалог с вашей целевой аудиторией и получить обратную связь от пользователей.

## Про оценивание

Важен не только объем лайков/звезд на GitHub/хлопков на Medium, но и их логарифмическое значение. Например, 1000 лучше, чем 100, но 2000/2500/5000 - это примерно одно и то же.

Это объясняется тем, что алгоритмы машинного обучения, используемые агрегаторами, могут использовать логарифмическую функцию для учета количества лайков. В таком случае, даже если пост имеет меньше лайков/просмотров, чем другие, он все же может выделиться из серой массы и привлечь внимание агрегаторов, особенно если он поддерживается PR Jerk. На платформе Medium это можно наблюдать явно.

Еще один важный аспект оценивания - это качество ваших лайков/звезд/хлопков. Лучше иметь меньшее количество высококачественных оценок, чем большое количество низкокачественных.

Низкокачественные оценки - это оценки от фейковых аккаунтов или ботов. Они могут негативно повлиять на репутацию вашего профиля или репозитория и даже привести к удалению. Поэтому важно сосредоточиться на качественном контенте и привлечении настоящих пользователей, которые оценят ваш труд и добавят действительно ценные комментарии и фидбэк.

Не ориентируйтесь только на количество лайков/звезд, обратите внимание на качество комментариев и обсуждений под вашим постом. Полезные обсуждения и вопросы могут свидетельствовать о том, что ваш контент действительно интересен и стоит внимания.

## Заключение

- Перед тем, как опубликовать свой пост, обязательно перечитайте его самостоятельно или попросите кого-то другого сделать это за вас. Также не лишним будет использование специализированных сервисов для проверки грамматики и орфографии;
- Не забывайте про социальные сети и другие площадки для продвижения вашего проекта. Рассказывайте о нем везде, где только можно - в блогах, на форумах, в соцсетях. Это поможет привлечь внимание и получить обратную связь от пользователей;
- Главное - это получение практики и написание множества постов. Старайтесь, чтобы каждый следующий пост был лучше предыдущего;
- Регулярно анализируйте свои результаты. Смотрите на то, какие посты получили больше внимания и лайков, а какие - меньше. Это поможет понять, что работает лучше всего, и сосредоточиться на том, что может увеличить эффективность ваших будущих постов;
- Перед началом выполнения проекта нужно задуматься, для кого он может быть интересен. Продвижение важных проектов гораздо проще, чем менее значимых;
- Важно понимать, что контент должен быть оригинальным и интересным. Не стоит копировать или переводить статьи, лучше создавать свой уникальный контент на основе собственных исследований и опыта;
- Постоянно развивайте свои навыки и знания в области, которую вы изучаете. Читайте профильную литературу, изучайте новые технологии и подходы.

