# Полезные ссылки для авторов open-source библиотек

## Написание python-кода

:star: [PEP 8 - руководство по написанию кода на Python](https://pythonworld.ru/osnovy/pep-8-rukovodstvo-po-napisaniyu-koda-na-python.html)

:star: [On writing clean Jupyter notebooks](https://ploomber.io/blog/clean-nbs/ )

:star: [Улучшение Python-кода: 12 советов для начинающих](https://habr.com/ru/company/ruvds/blog/521602/)

[Делай нейминг как сеньор](https://habr.com/ru/company/dododev/blog/714512/)

[Небанальные правила чистого Python. Часть 1](https://habr.com/ru/post/693668/)

[10 предпочтительных методов рефакторинга кода на Python](https://habr.com/ru/post/510294/)

[Груг против сложности. Я пролинтил все посты на Хабре про Python, и вот что я нашёл](https://habr.com/ru/company/breakpoint/blog/686104/)

[Best Practices для Python](https://habr.com/ru/post/686122/)

[Лонгрид по полезному чтению в 2023 году: 39 книг, которые помогут писать красивый <код>](https://habr.com/ru/company/cloud_mts/blog/704424/)

## Практики Code review

:star:  [Code Review – зачем и как использовать в команде?](https://habr.com/ru/post/581354/)

:star: [Как проводить код-ревью](https://habr.com/ru/post/467039/)

[Code review по-человечески (часть 1)](https://habr.com/ru/post/340550/)

[Code review по-человечески (часть 2)](https://habr.com/ru/post/342244/)

[Лучшие техники ревью кода](https://habr.com/ru/post/716068/)

## Оформление репозитория

:star: [Как написать прекрасный файл README на GitHub](https://techrocks.ru/2019/04/16/good-readme-on-github/)

[Cookiecutter Data Science](https://drivendata.github.io/cookiecutter-data-science/)

[Python .gitignore](https://github.com/github/gitignore/blob/main/Python.gitignore)

[Лицензия для вашего open-source проекта](https://habr.com/ru/post/243091/)

[Art of README](https://github.com/hackergrrl/art-of-readme)

## Форматирование кода

:star: [Простые шаги сделать ваш Python код лучше](https://alimbekov.com/beautiful-python-code-simple-steps/)

[Скучный Python: повышаем качество кода](https://habr.com/ru/company/otus/blog/713992/)

[Форматируем код при помощи black](https://semakin.dev/2020/05/black/)

## Комментарии в коде & Документация

:star: [Docstrings: документирование кода в Python](https://techrocks.ru/2020/07/08/docstrings-in-python)

[Правила разработки документации ML-проекта](https://habr.com/ru/post/676716/)

## Работа с github-репозиторием

:star: [Знакомство с Git и GitHub: руководство для начинающих](https://tinyurl.com/2axva5st)

:star: [Как оформить описание к Pull Request](https://tinyurl.com/4nb8c9jp)

[Сравнение рабочих процессов Git: что нужно знать](https://www.atlassian.com/ru/git/tutorials/comparing-workflows)

[Учимся писать информативные комментарии к GIT-коммитам используя общепринятую семантику](https://habr.com/ru/company/otus/blog/537196/)

[Запуск Git-хуков при помощи pre-commit](https://semakin.dev/2020/05/pre-commit/)

[Встроенные pre-commit hooks](https://pre-commit.com/hooks.html)

[Автоматизируем все с Github Actions (Никита Соболев)](https://habr.com/ru/post/586632/)

## Тестирование

:star: [Введение в PyTest](https://habr.com/ru/articles/269759/)

:star: [Современный Python: пишем модульные тесты и применяем соглашения о коммитах в Git](https://habr.com/ru/post/645721/)

[Тесты в Python: все основные подходы, плюсы и минусы. Доклад Яндекса](https://habr.com/ru/company/yandex/blog/517266/)

[Тестирование ML-систем](https://habr.com/ru/post/680822/)

[PyTest для машинного обучения — простой учебник на основе примеров](https://habr.com/ru/company/skillfactory/blog/554448/) 

### Цикл статей "Python Testing с pytest"

[Python Testing с pytest. Начало работы с pytest, Глава 1](https://habr.com/ru/post/448782/)

[Python Testing с pytest. Глава 2, Написание тестовых функций](https://habr.com/ru/post/448788/)

[Python Testing с pytest. Глава 3 pytest Fixtures](https://habr.com/ru/post/448786/)

[Python Testing с pytest. Builtin Fixtures, Глава 4](https://habr.com/ru/post/448792/)

[Python Testing с pytest. Плагины, Глава 5](https://habr.com/ru/post/448794/)

[Python Testing с pytest. Конфигурация, Глава 6](https://habr.com/ru/post/448796/)

[Python Testing с pytest. Использование pytest с другими инструментами, Глава 7](https://habr.com/ru/post/448798/)

## Contribute в OpenSource

:star: [Как принять участие в работе Open Source проектов на GitHub. Краткое руководство для начинающих](https://habr.com/ru/post/598587/)

[Как участвовать в опенсорс-проектах](https://opensource.guide/ru/how-to-contribute/)

## Как сделать pip-пакет

[Как опубликовать консольную утилиту на PyPI за 1 минуту](https://habr.com/ru/post/456304/)

[Учимся создавать пакеты Python](https://habr.com/ru/company/piter/blog/700282/)

## Менеджмент зависимостей

[Poetry — прекрасная альтернатива pip (шпаргалка)](https://habr.com/ru/post/593529/)

## Воспроизводимость в ML-проектах

:star: [Как структурировать проект ML и сделать его воспроизводимым и поддерживаемым](https://habr.com/ru/company/skillfactory/blog/710816/)

[Чего хотят конференции: воспроизводимость экспериментов в data science](https://habr.com/ru/post/562262/)

[10 полезных практик для ML-разработчиков на Питоне](https://habr.com/ru/post/505082/)
