# Где можно опубликовать научную статью про личный или коллективный open-source проект?

## В области ИИ
###  [Journal of Machine Learning Research](https://www.jmlr.org/mloss/) (Q1):
   
В секции "Machine Learning Open Source Software" публикации выходят в формате 4-страничных мини-статей.
Требования к статьям включают популярность репозитория, выраженную в пользователях и звездочках, 
активность сообщества и т.п.

По нашему опыту - рецензии занимают до полу-года и обычно весьма подробны. 
Исправления производятся в формате revise-and-resubmit.
При этом замечания выдвигаются не только по научной составляющей, но и, например, по качеству документации.

### [Papers With Code](https://paperswithcode.com/):

Автоматический агрегатор статей в области AI/ML со ссылками на GitHub. 
Критерии ранжирования - тематика (CV, NLP и т.д.) и число звездочек.
  

## Без привязки к области

### [Journal of Open Research Software](https://openresearchsoftware.metajnl.com/) (Q2):

Публикует полноразмерные статьи про научные библиотеки с "high reuse potential". 
Также принимаются статьи про различные аспекты разработки и поддержки разработки открытого научного ПО в целом.


### [Journal of Open Source Software](https://joss.theoj.org/) (без индексации):

Менее формальный, но очень качественно реализованный "developer-friendly" журнал про open-source. 
Вся деятельность ведется через GitHub - от [ревью](https://github.com/openjournals/joss-reviews/issues) до 
[документации](https://joss.readthedocs.io/en/latest/) для авторов и рецензентов.
Есть смысл почитать как минимум ради перенимания "хороших практик".

### [SoftwareX](https://www.softxjournal.com/) (Q2)

Open-Access журнал, публикующий статьи про научное ПО под открытой лицензией. 
Под каждую публикацию создается репозиторий в [GitHub-е журнала](https://github.com/ElsevierSoftwareX).